package activity

import adapter.ArticleHomeAdapter
import android.graphics.Typeface
import android.text.SpannableString
import android.text.Spanned
import android.text.style.StyleSpan
import androidx.viewpager2.widget.ViewPager2
import com.alibaba.android.arouter.facade.annotation.Route
import com.google.android.material.tabs.TabLayout
import com.google.android.material.tabs.TabLayoutMediator
import com.ydl.ydlcommon.base.BaseActivity
import com.ydl.ydlcommon.utils.actionutil.ActionCountUtils
import com.yidianling.article.R
import http.ArticleHttp
import io.reactivex.android.schedulers.AndroidSchedulers
import io.reactivex.schedulers.Schedulers


@Route(path = "/article/list")
class ArticleHomeActivity:BaseActivity() {

    private var TAG_IDS = mutableListOf(0,1,2,3,4,5)
    private var TAGS = mutableListOf("推荐","情绪","亲子","职能部门","健康","科普")
    private var mTabLayout:TabLayout?=null
    private var mViewPager: ViewPager2?=null



    override fun initDataAndEvent() {
        mTabLayout = findViewById(R.id.tab_layout)
        mViewPager = findViewById(R.id.view_pager)

        mViewPager?.isUserInputEnabled = false
        mViewPager?.adapter = ArticleHomeAdapter()

        mTabLayout?.addOnTabSelectedListener(object : TabLayout.OnTabSelectedListener {
            override fun onTabSelected(tab: TabLayout.Tab?) {
                //冥想|声音|睡眠点击事件
//                ActionCountUtils.count(HomeBIConstants.YDL_HOME_MEDITATION_SUBJECT_CLICK,
//                    tab?.let { bean?.mditationListResponse?.get(it.position)?.buried } ?:"")

                var text: String? = tab?.text.toString().trim()
                val spStr = SpannableString(text)
                val styleSpan = StyleSpan(Typeface.BOLD)
                spStr.setSpan(styleSpan, 0, text?.length ?: 0, Spanned.SPAN_INCLUSIVE_EXCLUSIVE)
                tab?.text = spStr
            }

            override fun onTabUnselected(tab: TabLayout.Tab?) {
                var text: String? = tab?.text.toString().trim()
                val spStr = SpannableString(text)
                val styleSpan = StyleSpan(Typeface.NORMAL)
                spStr.setSpan(styleSpan, 0, text?.length ?: 0, Spanned.SPAN_INCLUSIVE_EXCLUSIVE)
                tab?.text = spStr
            }

            override fun onTabReselected(tab: TabLayout.Tab?) {

            }

        })

        TabLayoutMediator(mTabLayout!!, mViewPager!!) { tab, position ->
            tab.text = TAGS[position]
        }.attach()

    }

    override fun onResume() {
        super.onResume()
        getArticleList()
    }

    private fun getArticleList(){
        ArticleHttp.getInstance().getArticleList(perPageRows = 20,
                page = 1,tagId = 485)
            .subscribeOn(Schedulers.io())
            .observeOn(AndroidSchedulers.mainThread())
            .subscribe {

            }
    }

    override fun layoutResId(): Int {
        return R.layout.article_home_activity_layout
    }

}