package http

import com.ydl.ydlcommon.base.config.YDL_DOMAIN
import com.ydl.ydlcommon.base.config.YDL_DOMAIN_JAVA
import com.ydl.ydlcommon.data.http.BaseAPIResponse
import data.ArticleListBean
import io.reactivex.Observable
import retrofit2.http.GET
import retrofit2.http.Headers
import retrofit2.http.Query

interface ArticleApi {

    //文章列表
    @GET("article/list/all")
    @Headers(YDL_DOMAIN + YDL_DOMAIN_JAVA)
    fun getArticleList(
        @Query("perPageRows") perPageRows: Int = 20,
        @Query("page") page: Int = 1,
        @Query("tagId") tagId: Int = 0
    ): Observable<BaseAPIResponse<ArticleListBean>>

}